---
title: User-level report
slug: sync/user-level-report
docTags: 
createdAt: 2023-11-28T16:43:08.802Z
---

:::ApiMethodV2
```json
{
  "name": "user-data",
  "method": "GET",
  "url": "https://api-sandbox.klavi.ai/data/v1/personal/user-data",
  "description": "Get user level data by end-user's taxId.\nAfter the end user completes authorization on the bank side, the Klavi backend will send the event to partner's webhook. Then, partners can request the report products  based on the event through this endpoint.",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "xsPh3QTcY0GF4ASagAmVy",
        "language": "curl",
        "code": "curl --location 'https://api-sandbox.klavi.ai/data/v1/personal/user-data?taxId=String&linkId=String&consentIds=String&product=String' \\\n--header 'Authorization: string' \\\n--header 'Accept: application/json' \\\n--header 'Content-Type: application/json'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "xsPh3QTcY0GF4ASagAmVy"
  },
  "results": {
    "languages": [
      {
        "id": "PzUg6EX_zKaDhcxPvoRYd",
        "language": "200",
        "customLabel": "",
        "code": "{\n    \"code\":200,\n    \"message\":\"OK\",\n    \"requestId\":\"112334\",\n    \"productName\":\"pf_score_l2\",\n    \"productVersion\":\"V1\",\n    \"productReportId\":\"4b2c1648-231f-11eb-97c4-f45c899f4587\",\n    \"productReportTime\":\"2019-12-23T06:10:43\",\n    \"enquiryCpf\":\"12345678909\",    \n    \"links\":[\n        {\n            \"linkId\":\"gPuKXrCJU05J4k\",\n            \"institutionCode\":\"033\",\n            \"consents\":[\n                {\n                    \"consentId\":\"f55c899f-11eb-231f-97c4-4b2c16484587\",\n                    \"permissions\":{\n                        \"REGISTRATION_ALL\":{\n                            \"permissionsGranted\":true,\n                            \"accountIds\":[\n                                \"123456\"\n                            ]\n                        }\n                    }\n                }\n            ]\n        }\n    ],\n    \"score\":100,\n    \"externalInfo\": {\n        \"myTraceId\": \"yourtraceid-1\",\n        \"myUUID\": \"youruuid-1\"\n    }\n}"
      }
    ],
    "selectedLanguageId": "PzUg6EX_zKaDhcxPvoRYd"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [
      {
        "name": "taxId",
        "kind": "required",
        "type": "string",
        "description": "The CPF of the end-user, for Personal Accounts only",
        "children": []
      },
      {
        "name": "linkId",
        "kind": "optional",
        "type": "string",
        "description": "linkid, it returned by the /links",
        "children": []
      },
      {
        "name": "consentIds",
        "kind": "optional",
        "type": "string",
        "description": "consentId list, it returned by the /consents",
        "children": []
      },
      {
        "name": "product",
        "kind": "required",
        "type": "string",
        "description": "Product",
        "children": []
      }
    ],
    "headerParameters": [
      {
        "name": "Authorization",
        "kind": "required",
        "type": "string",
        "description": "Bearer access token, it returned by the /auth",
        "children": []
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Query Parameter",
    "value": "queryParameters"
  }
}
```
:::

## Parameter

### product

- product: [user level products](docId\:xkr8lrggFj7YFng1vaYdD)(can only be products within the product range selected by the partner during onboarding).



